# Record Class CJ1StockRepositSetAdd

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1StockRepositSetAdd

All Implemented Interfaces:
  `CJ1StockRepositType`, `CJ1ValueType`

@JsonClassDescription("Add to an existing set stock occurrence.") public record CJ1StockRepositSetAdd(UUID instance, CJ1UnsignedLong count) extends Record implements CJ1StockRepositType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1StockRepositSetAdd(UUID instance, CJ1UnsignedLong count)`
  Creates an instance of a `CJ1StockRepositSetAdd` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CJ1UnsignedLong`
  `count()`
  Returns the value of the `count` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `instance()`
  Returns the value of the `instance` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1StockRepositSetAdd

    public CJ1StockRepositSetAdd(@JsonPropertyDescription("The stock occurrence.") UUID instance, @JsonPropertyDescription("The number of items to add.") CJ1UnsignedLong count)
    Creates an instance of a `CJ1StockRepositSetAdd` record class.
    Parameters:
      `instance` - the value for the `instance` record component
      `count` - the value for the `count` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### instance

    @JsonPropertyDescription("The stock occurrence.") public UUID instance()
    Returns the value of the `instance` record component.
    Returns:
      the value of the `instance` record component

  - ### count

    @JsonPropertyDescription("The number of items to add.") public CJ1UnsignedLong count()
    Returns the value of the `count` record component.
    Returns:
      the value of the `count` record component